aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tests/data/generic.ini16
-rw-r--r--tests/rt_generic.sh19
2 files changed, 30 insertions, 5 deletions
diff --git a/tests/data/generic.ini b/tests/data/generic.ini
index c1e5c9c..08d5754 100644
--- a/tests/data/generic.ini
+++ b/tests/data/generic.ini
@@ -17,6 +17,7 @@ installer_baseurl = https://github.com/conda-forge/miniforge/releases/download/{
;conda_packages =
pip_packages =
firewatch==0.0.4
+ tweakreg==0.8.8
[runtime]
@@ -25,8 +26,21 @@ PYTHONUNBUFFERED = 1
[test:firewatch]
repository = https://github.com/astroconda/firewatch
-script =
+script_setup =
pip install -e '.'
+script =
+ firewatch -c conda-forge | grep -E ' python-[0-9]'
+
+
+[test:tweakwcs]
+repository = https://github.com/spacetelescope/tweakwcs
+script_setup =
+ pip install -e '.[test]'
+script =
+ pytest \
+ -r fEsx \
+ --basetemp="{{ func:basetemp_dir() }}" \
+ --junitxml="{{ func:junitxml_file() }}"
[deploy:artifactory:delivery]
diff --git a/tests/rt_generic.sh b/tests/rt_generic.sh
index 6da953d..672a8a0 100644
--- a/tests/rt_generic.sh
+++ b/tests/rt_generic.sh
@@ -6,10 +6,16 @@ if [ -n "$GITHUB_TOKEN" ] && [ -z "$STASIS_GH_TOKEN"]; then
else
export STASIS_GH_TOKEN="anonymous"
fi
+python_versions=(
+ 3.10
+ 3.11
+ 3.12
+)
topdir=$(pwd)
ws="rt_workspace"
+rm -rf "$ws"
mkdir -p "$ws"
ws="$(realpath $ws)"
@@ -28,9 +34,12 @@ popd
pushd "$ws"
type -P stasis
type -P stasis_indexer
+ retcode=0
- stasis --no-docker --no-artifactory --unbuffered -v "$topdir"/generic.ini
- retcode=$?
+ for py_version in "${python_versions[@]}"; do
+ stasis --python "$py_version" --no-docker --no-artifactory --unbuffered -v "$topdir"/generic.ini
+ retcode+=$?
+ done
set +x
@@ -54,7 +63,7 @@ pushd "$ws"
for cond in "${fail_on_main[@]}"; do
if grep --color -H -n "$cond" "$x" >&2; then
echo "ERROR DETECTED IN $x!" >&2
- retcode=2
+ retcode+=1
fi
done
done
@@ -94,6 +103,8 @@ pushd "$ws"
done
popd
-rm -rf "$ws"
+if [ -z "$RT_KEEP_WORKSPACE"]; then
+ rm -rf "$ws"
+fi
exit $retcode \ No newline at end of file